{
	"name": "form/local/input/waybill/waybill/layout.json",
	"layout": {
		"component": "nc-form",
		"attribute": {
			"id": "waybill"
		},
		"element": [
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-row",
						"attribute": {
							"width": "1/1"
						},
						"element": [
							{
								"component": "h1",
								"text": "Waybill",
								"attribute": {
									"align": "center"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "3/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Sender Address",
								"attribute": {
									"model": "hdr.wbl.json_data.sender_address"
								}
							},
							{
								"component": "nc-textarea",
								"attribute": {
									"model": "rec.wbl.json_data.sender_address",
									"rows": "4"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "3/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Name",
								"attribute": {
									"model": "hdr.co.name"
								}
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.co.name"
								}
							},
							{
								"component": "nc-label",
								"text": "Sender Customer Number",
								"attribute": {
									"model": "hdr.wbl.json_data.sender_customer_number"
								}
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.wbl.json_data.sender_customer_number"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "3/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Date",
								"attribute": {
									"model": "hdr.wbl.date"
								}
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.wbl.date"
								}
							},
							{
								"component": "nc-label",
								"text": "Sender Reference",
								"attribute": {
									"model": "hdr.wbl.json_data.sender_reference"
								}
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.wbl.json_data.sender_reference"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "3/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Waybill Number",
								"attribute": {
									"model": "hdr.wbl.waybill_number"
								}
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.wbl.waybill_number"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "3/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Receiver id",
								"attribute": {
									"model": "hdr.wbl.receiver_id"
								}
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.wbl.receiver_id"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "3/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Receiver Address",
								"attribute": {
									"model": "hdr.wbl.json_data.receiver_address"
								}
							},
							{
								"component": "nc-textarea",
								"attribute": {
									"model": "rec.wbl.json_data.receiver_address",
									"rows": "4"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "3/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Receiver Customer Number",
								"attribute": {
									"model": "hdr.wbl.json_data.receiver_customer_number"
								}
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.wbl.json_data.receiver_customer_number"
								}
							},
							{
								"component": "nc-label",
								"text": "Receiver Reference",
								"attribute": {
									"model": "hdr.wbl.json_data.receiver_reference"
								}
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.wbl.json_data.receiver_reference"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "6/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Place Of Departure",
								"attribute": {
									"model": "hdr.wbl.json_data.place_of_departure"
								}
							},
							{
								"component": "nc-textarea",
								"attribute": {
									"model": "rec.wbl.json_data.place_of_departure",
									"rows": "4"
								}
							},
							{
								"component": "nc-label",
								"text": "Delivery Address",
								"attribute": {
									"model": "hdr.wbl.json_data.delivery_address"
								}
							},
							{
								"component": "nc-textarea",
								"attribute": {
									"model": "rec.wbl.json_data.delivery_address",
									"rows": "4"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "6/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Transport Company",
								"attribute": {
									"model": "hdr.wbl.json_data.transport_company"
								}
							},
							{
								"component": "nc-textarea",
								"attribute": {
									"model": "rec.wbl.json_data.transport_company"
								}
							},
							{
								"component": "nc-label",
								"text": "Transport Notes",
								"attribute": {
									"model": "hdr.wbl.json_data.transport_notes"
								}
							},
							{
								"component": "nc-textarea",
								"attribute": {
									"model": "rec.wbl.json_data.transport_notes"
								}
							},
							{
								"component": "nc-label",
								"text": "Freight Charger Payer",
								"attribute": {
									"model": "hdr.wbl.json_data.freight_charger_payer"
								}
							},
							{
								"component": "nc-dropdown",
								"attribute": {
									"model": "rec.wbl.json_data.freight_charger_payer"
								}
							},
							{
								"component": "nc-label",
								"text": "Freight Customer Number",
								"attribute": {
									"model": "hdr.wbl.json_data.freight_customer_number"
								}
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.wbl.json_data.freight_customer_number"
								}
							},
							{
								"component": "nc-label",
								"text": "Freight Deal Number",
								"attribute": {
									"model": "hdr.wbl.json_data.freight_deal_number"
								}
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.wbl.json_data.freight_deal_number"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-row",
						"attribute": {
							"width": "1/1"
						},
						"element": [
							{
								"component": "nc-grid",
								"attribute": {
									"model": "grid.waybil_1"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "h4",
								"text": "Shipment total:"
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Number Of Pallets",
								"attribute": {
									"model": "hdr.wbl.json_data.number_of_pallets"
								}
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.wbl.json_data.number_of_pallets"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						}
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Pallet Length",
								"attribute": {
									"model": "hdr.wbl.json_data.pallet_length"
								}
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.wbl.json_data.pallet_length"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Weight",
								"attribute": {
									"model": "hdr.wbl.json_data.weight"
								}
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.wbl.json_data.weight"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Volume",
								"attribute": {
									"model": "hdr.wbl.json_data.volume"
								}
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.wbl.json_data.volume"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "8/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Extra Instruction",
								"attribute": {
									"model": "hdr.wbl.json_data.extra_instruction"
								}
							},
							{
								"component": "nc-textarea",
								"attribute": {
									"model": "rec.wbl.json_data.extra_instruction",
									"rows": "6"
								}
							},
							{
								"component": "nc-label",
								"text": "Term Of Delivery",
								"attribute": {
									"model": "hdr.wbl.json_data.term_of_delivery"
								}
							},
							{
								"component": "nc-textarea",
								"attribute": {
									"model": "rec.wbl.json_data.term_of_delivery",
									"rows": "6"
								}
							},
							{
								"component": "nc-label",
								"text": "Reservation",
								"attribute": {
									"model": "hdr.wbl.json_data.reservation"
								}
							},
							{
								"component": "nc-textarea",
								"attribute": {
									"model": "rec.wbl.json_data.reservation",
									"rows": "6"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "4/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Cash On Deliv Reference",
								"attribute": {
									"model": "hdr.wbl.json_data.cash_on_deliv_reference"
								}
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.wbl.json_data.cash_on_deliv_reference"
								}
							},
							{
								"component": "nc-label",
								"text": "Cash On Deliv Account",
								"attribute": {
									"model": "hdr.wbl.json_data.cash_on_deliv_account"
								}
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.wbl.json_data.cash_on_deliv_account"
								}
							},
							{
								"component": "nc-label",
								"text": "Cash On Delivery",
								"attribute": {
									"model": "hdr.wbl.json_data.cash_on_delivery"
								}
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.wbl.json_data.cash_on_delivery"
								}
							},
							{
								"component": "nc-label",
								"text": "Freight Cost",
								"attribute": {
									"model": "hdr.wbl.json_data.freight_cost"
								}
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.wbl.json_data.freight_cost"
								}
							},
							{
								"component": "nc-label",
								"text": "Extra Cost",
								"attribute": {
									"model": "hdr.wbl.json_data.extra_cost"
								}
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.wbl.json_data.extra_cost"
								}
							},
							{
								"component": "nc-label",
								"text": "Vat",
								"attribute": {
									"model": "hdr.wbl.json_data.vat"
								}
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.wbl.json_data.vat"
								}
							},
							{
								"component": "nc-label",
								"text": "Total Price",
								"attribute": {
									"model": "hdr.wbl.json_data.total_price"
								}
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.wbl.json_data.total_price"
								}
							},
							{
								"component": "nc-label",
								"text": "Sender Trade Number",
								"attribute": {
									"model": "hdr.wbl.json_data.sender_trade_number"
								}
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.wbl.json_data.sender_trade_number"
								}
							},
							{
								"component": "nc-label",
								"text": "Currency",
								"attribute": {
									"model": "hdr.wbl.currency_id"
								}
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.wbl.currency_id"
								}
							}
						]
					}
				]
			}
		]
	}
}
